Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface ShutdownHandler

    public interface ShutdownHandler

A ShutdownHandler may prevent the application from exiting.

Authors:
  Andres Almiray

Since:
  0.3.1

Method Summary
`boolean` | `canShutdown(GriffonApplication application)` Asks this handler if the application's shutdown sequence can proceed or not.
`void` | `onShutdown(GriffonApplication application)` Called when the shutdown sequence continues

Method Detail

### canShutdown

    public boolean canShutdown(GriffonApplication application)

  Asks this handler if the application's shutdown sequence can proceed or not.

  Return `false` if the shutdown sequence must be aborted.

  Parameters:
    `application` - the current running application
  Returns:
    true if the shutdown sequence can proceed, false otherwise

### onShutdown

    public void onShutdown(GriffonApplication application)

  Called when the shutdown sequence continues
  Parameters:
    `application` - the current running application

Groovy Documentation